Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.coordinatesystems
Class VerticalCRS

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.coordinatesystems.CoordinateSystem
              org.deegree.crs.coordinatesystems.VerticalCRS

All Implemented Interfaces:
  Serializable

    public class VerticalCRS

extends CoordinateSystem

The `VerticalCRS` represents a crs based on one axis only, typically this crs is used as an extension on an already present crs, and adds a 'heightaxis' to the original crs.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.crs.coordinatesystems.CoordinateSystem
`COMPOUND_CRS, GEOCENTRIC_CRS, GEOGRAPHIC_CRS, PROJECTED_CRS, VERTICAL_CRS`

Constructor Summary
`VerticalCRS(VerticalDatum datum, Axis[] axisOrder, Identifiable identity)`

Method Summary
`int` | `getDimension()`
`int` | `getType()`
`Axis` | `getVerticalAxis()`

Methods inherited from class org.deegree.crs.coordinatesystems.CoordinateSystem
`convertToAxis, equals, getAxis, getDatum, getDirectTransformation, getEasting, getGeodeticDatum, getNorthing, getTransformations, getTypeName, getUnits, hasDirectTransformation, hashCode, toString`

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VerticalCRS

    public VerticalCRS(VerticalDatum datum,
                       Axis[] axisOrder,
                       Identifiable identity)

Parameters:
  `datum` -
  `axisOrder` -
  `identity` -

Method Detail

### getDimension

    public int getDimension()

  Specified by:
    `getDimension` in class `CoordinateSystem`
  Returns:
    the dimension of this CRS.

### getType

    public int getType()

  Specified by:
    `getType` in class `CoordinateSystem`
  Returns:
    one of the *_CRS types defined in this class.

### getVerticalAxis

    public Axis getVerticalAxis()

  Returns:
    the axis of this vertical crs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org